.btn {
    fill: $white;
    color: $white;
    border: none;
    outline: none;
    cursor: pointer;
    height: rem(40);
    font-weight: 600;
    font-size: rem(16);
    line-height: rem(24);
    padding: rem(4) rem(24);
    user-select: none;
    text-align: center;
    white-space: nowrap;
    position: relative;
    text-decoration: none;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    vertical-align: middle;
    border-radius: 10px;
    background: linear-gradient(86.64deg, #d312fe 0%, #8867f9 47.11%, #3cbdf4 88.79%);

    &:hover {
        fill: $white;
        color: $white;
        text-decoration: none;
    }

    &:active {
        background-color: #d312fe;
    }

    &:focus,
    &.focus {
        outline: 0;
    }

    &.disabled,
    &:disabled {
        background: $light-gray;
    }

    span {
        display: inline-block;
    }

    i {
        font-size: 0;
        line-height: 0;
        display: inline-block;
        height: rem(20);
    }

    span + i {
        margin-left: rem(6);
    }

    i + span {
        margin-left: rem(6);
    }
}

.btn-gpay {
    background: $black url("../img/gpay.svg") 50% 50% no-repeat;

    &:active {
        background-color: $black;
    }
}

.btn-link {
    margin: 0;
    padding: 0;
    color: $black;
    border: none;
    outline: none;
    cursor: pointer;
    display: inline-flex;
    background: transparent;
    text-decoration: underline;

    &:hover {
        color: $black;
        text-decoration: none;
    }
}
